Subject: Re: [PATCH] Documentation: indent-with-non-tab uses tabwidth setting, not just 8

From: "Wesley J. Landaker" <[email-masked]>
Date: Mon, 17 Sep 2012 08:20:28 -0600

On Monday, September 17, 2012 00:03:29 Junio C Hamano wrote:
> An alternative would be to lose the "8" (or `tabwidth`) from that
> description.  I've always thought that the description of `tabwidth`
> is clear enough that "8" in the patch is not a hardcoded non-overridable
> value but is merely a default, but after reading that section a few
> more times, I no longer think that is the case.
> 
> I originally wrote "8 or more space" but that wasn't because I
> thought it was important to stress "8 is the default", but because I
> didn't think of a better way to say what I wanted to say, which was
> "if you are filling the indentation with spaces when you could have
> just typed a tab with a few spaces, this error triggers", in other
> words "use of this is to encourage indenting with tabs".

Okay, I'm going to generated a new patch that hopefully reads better!